org.apache.olingo.odata2.client.core.edm.Impl

## Class EdmOnDeleteImpl

- java.lang.Object
- - org.apache.olingo.odata2.client.core.edm.Impl.EdmOnDeleteImpl

- All Implemented Interfaces:
    EdmOnDelete

      public class EdmOnDeleteImpl
      extends Object
      implements EdmOnDelete

  Objects of this class represent an OnDelete Action

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EdmOnDeleteImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EdmAction` | `getAction()`
    `List<EdmAnnotationAttribute>` | `getAnnotationAttributes()`
    `List<EdmAnnotationElement>` | `getAnnotationElements()`
    `EdmDocumentation` | `getDocumentation()`
    `EdmOnDeleteImpl` | `setAction(EdmAction action)` Sets the `EdmAction` for this `EdmOnDeleteImpl`
    `EdmOnDeleteImpl` | `setAnnotationAttributes(List<EdmAnnotationAttribute> annotationAttributes)` Sets the List of `AnnotationAttribute` for this `EdmOnDeleteImpl`
    `EdmOnDeleteImpl` | `setAnnotationElements(List<EdmAnnotationElement> annotationElements)` Sets the List of `AnnotationElement` for this `EdmOnDeleteImpl`
    `EdmOnDeleteImpl` | `setDocumentation(EdmDocumentation documentation)` Sets the `Documentation` for this `EdmOnDeleteImpl`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EdmOnDeleteImpl

          public EdmOnDeleteImpl()

  - ### Method Detail

    - #### getAction

          public EdmAction getAction()

      Specified by:
        `getAction` in interface `EdmOnDelete`
      Returns:
        `EdmAction` action

    - #### getDocumentation

          public EdmDocumentation getDocumentation()

      Specified by:
        `getDocumentation` in interface `EdmOnDelete`
      Returns:
        `Documentation` documentation

    - #### getAnnotationAttributes

          public List<EdmAnnotationAttribute> getAnnotationAttributes()

      Specified by:
        `getAnnotationAttributes` in interface `EdmOnDelete`
      Returns:
        List of `AnnotationAttribute` annotation attributes

    - #### getAnnotationElements

          public List<EdmAnnotationElement> getAnnotationElements()

      Specified by:
        `getAnnotationElements` in interface `EdmOnDelete`
      Returns:
        List of `AnnotationElement` annotation elements

    - #### setAction

          public EdmOnDeleteImpl setAction(EdmAction action)

      Sets the `EdmAction` for this `EdmOnDeleteImpl`
      Parameters:
        `action` -
      Returns:
        `EdmOnDeleteImpl` for method chaining

    - #### setDocumentation

          public EdmOnDeleteImpl setDocumentation(EdmDocumentation documentation)

      Sets the `Documentation` for this `EdmOnDeleteImpl`
      Parameters:
        `documentation` -
      Returns:
        `EdmOnDeleteImpl` for method chaining

    - #### setAnnotationAttributes

          public EdmOnDeleteImpl setAnnotationAttributes(List<EdmAnnotationAttribute> annotationAttributes)

      Sets the List of `AnnotationAttribute` for this `EdmOnDeleteImpl`
      Parameters:
        `annotationAttributes` -
      Returns:
        `EdmOnDeleteImpl` for method chaining

    - #### setAnnotationElements

          public EdmOnDeleteImpl setAnnotationElements(List<EdmAnnotationElement> annotationElements)

      Sets the List of `AnnotationElement` for this `EdmOnDeleteImpl`
      Parameters:
        `annotationElements` -
      Returns:
        `EdmOnDeleteImpl` for method chaining

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.